unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, TeeOpenGL, TeeComma, ExtCtrls, TeeProcs, TeeDraw3D, StdCtrls,
  TeEngine, Chart;

type
  TForm1 = class(TForm)
    Draw3D1: TDraw3D;
    TeeCommander1: TTeeCommander;
    TeeOpenGL1: TTeeOpenGL;
    procedure Draw3D1AfterDraw(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
    MyBmp:TBitmap;
  end;

var
  Form1: TForm1;

implementation
uses
  TeCanvas,OpenGL2;

{$R *.dfm}

procedure TForm1.Draw3D1AfterDraw(Sender: TObject);
var
  Points1:array[0..3] of TPoint;
  Points2:array[0..3] of TPoint;
  Points3:TFourPoints;
  A,B:TPoint;
  C,D:TPoint;
  E,F:TPoint;

begin

  //Initialization

  Points1[0].x:=0;
  Points1[0].y:=0;
  Points1[1].x:=100;
  Points1[1].y:=0;
  Points1[2].x:=70;
  Points1[2].y:=-30;
  Points1[3].x:=0;
  Points1[3].y:=-30;

  Points2[0].x:=100;
  Points2[0].y:=0;
  Points2[1].x:=100;
  Points2[1].y:=-100;
  Points2[2].x:=70;
  Points2[2].y:=-100;
  Points2[3].x:=70;
  Points2[3].y:=-30;

  Points3[0].X:=0;
  Points3[0].Y:=-30;
  Points3[1].X:=70;
  Points3[1].Y:=-30;
  Points3[2].X:=70;
  Points3[2].Y:=-30;
  Points3[3].X:=0;
  Points3[3].Y:=-30;

  A.X:=70;
  A.Y:=-30;
  B.X:=70;
  B.Y:=-100;

  C.X:=0;
  C.Y:=0;
  D.X:=0;
  D.Y:=-30;

  E.X:=100;
  E.Y:=-100;
  F.X:=70;
  F.Y:=-100;


  with Draw3D1.Canvas do begin
    Pen.Style:=psSolid;

    //Draw Axis x,y,z
    Pen.Color:=clRed;
    HorizLine3D(-300,300,0,0);
    Pen.Color:=clYellow;
    VertLine3D(0,300,-300,0);
    Pen.Color:=clGreen;
    ZLine3D(0,0,-300,300);


    Pen.Color:=clBlack;
    brush.Bitmap:=MyBmp;

    //Draw some figures
    PolygonWithZ(Points1,0);
    PolygonWithZ(Points2,0);
    PlaneFour3D(Points3,0,30);
    Plane3D(A,B,0,30);
    Plane3D(C,D,0,30);
    Plane3D(E,F,0,30);
    Cube(150,250,-100,0,0,30,true);

    brush.Bitmap:=nil;

  end;
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  MyBmp:=TBitmap.Create;
  MyBmp.LoadFromFile('rocks.bmp');
end;

procedure TForm1.FormDestroy(Sender: TObject);
begin
  MyBmp.Free;
end;

end.
